Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011435 [DCSS] Bug Report trivial always 2018-04-04 14:05 2018-04-28 16:07
Reporter NormalPerson7 View Status public  
Assigned To aidanholm
Priority normal Resolution done  
Status resolved   Product Branch 0.21 ancient branch
Summary 0011435: Stacked deck shows different title when examined on the floor to all other times.
Description I encountered this bug online and then replicated it in wizmode offline.

I stacked an escape deck as follows:
Tomb > Cloud > Cloud > Cloud > Velocity.
As you would expect, its description title in the i screen, in its description from the inventory screen, on hovering over the tile with the cursor using x, and on the ctrl-x screen, was:
A legendary deck of escape {The Tomb, left: 5}

However, when the deck was on the floor, using x-v to bring up its description has the title as:
A legendary deck of escape {Velocity},
which is the bottom card on the stack, and doesn't show the number of cards left. The list of cards remaining in the deck is also reversed in this view, showing Velocity > Cloud > Cloud > Cloud > Tomb.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0032190)
currency (reporter)
2018-04-24 18:16
edited on: 2018-04-24 18:17

This is a symptom of how the deck is stored in map_knowledge then subsequently loaded via env.map_knowledge(c).item(). Currently working through the map_knowledge code. Should have a fix shortly.

(0032194)
currency (reporter)
2018-04-25 02:53

Addressed in the following pr: https://github.com/crawl/crawl/pull/743 [^]
(0032200)
aidanholm (developer)
2018-04-28 16:06

Thanks; fixed at https://github.com/crawl/crawl/commit/f65d00e5d67a [^]

- Issue History
Date Modified Username Field Change
2018-04-04 14:05 NormalPerson7 New Issue
2018-04-24 18:16 currency Note Added: 0032190
2018-04-24 18:17 currency Note Edited: 0032190
2018-04-25 02:53 currency Note Added: 0032194
2018-04-28 16:06 aidanholm Note Added: 0032200
2018-04-28 16:06 aidanholm Status new => resolved
2018-04-28 16:06 aidanholm Fixed in Branch => 0.22 development branch
2018-04-28 16:06 aidanholm Resolution open => done
2018-04-28 16:06 aidanholm Assigned To => aidanholm


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker